package com.dashitech.businessdata.entity;

import com.dashitech.utils.I18n;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by chi on 2020/8/25.
 */

@Entity
@Table(name = "itsm_call_log")
public class CallLogEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name="id",length = 20)
    private Long id;

    @I18n("version")
    @Column(name = "verion")
    private Integer version;

    @I18n("来电科室")
    @Column(name = "call_dept")
    private String callDept;

    @I18n("通道号")
    @Column(name = "phyIDA")
    private String phyIDA;

    @I18n("主叫号码")
    @Column(name = "DTMFA")
    private String dTMFA;

    @I18n("被叫号码")
    @Column(name = "DTMFB")
    private String dTMFB;

    @I18n("录音起始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "response_time")
    private Date responseTime;

    @I18n("录音时长单位秒")
    @Column(name = "long_time")
    private String longTime;

    @I18n("原文件存放位置")
    @Column(name = "_path")
    private String path;

    @I18n("呼入呼出 1 呼入 0 呼出")
    @Column(name = "call_type")
    private Integer callType;

    @I18n("已接未接 1 已接 0 未接")
    @Column(name = "call_state")
    private Integer callState;

    @I18n("院区id")
    @Column(name = "hos_id")
    private Integer hosId;

    public Integer getHosId() {
        return hosId;
    }

    public void setHosId(Integer hosId) {
        this.hosId = hosId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCallDept() {
        return callDept;
    }

    public void setCallDept(String callDept) {
        this.callDept = callDept;
    }

    public String getPhyIDA() {
        return phyIDA;
    }

    public void setPhyIDA(String phyIDA) {
        this.phyIDA = phyIDA;
    }

    public String getdTMFA() {
        return dTMFA;
    }

    public void setdTMFA(String dTMFA) {
        this.dTMFA = dTMFA;
    }

    public String getdTMFB() {
        return dTMFB;
    }

    public void setdTMFB(String dTMFB) {
        this.dTMFB = dTMFB;
    }

    public Date getResponseTime() {
        return responseTime;
    }

    public void setResponseTime(Date responseTime) {
        this.responseTime = responseTime;
    }

    public String getLongTime() {
        return longTime;
    }

    public void setLongTime(String longTime) {
        this.longTime = longTime;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getCallType() {
        return callType;
    }

    public void setCallType(Integer callType) {
        this.callType = callType;
    }

    public Integer getCallState() {
        return callState;
    }

    public void setCallState(Integer callState) {
        this.callState = callState;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }
}
