package com.dashitech.businessdata.entity;

import com.dashitech.utils.I18n;

import javax.persistence.*;
import java.io.Serializable;

/**
 *  hospital 主表为id，这里为编码
 */

@Entity
@Table(name = "itsm_uc_dept")
public class DepartmentEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name="id",length = 20)
	private Long id;

	@I18n("科室名")
	@Column(name="dept")
	private String dept;

	@I18n("科室编码")
	@Column(name="code")
	private String pcode;


	@I18n("删除标识")
	@Column(name = "delete_flag")
	private Integer deleteFlag;

	@I18n("科室别名")
	@Column(name = "dept_alias")
	private String deptalias;


	@I18n("科室类型，检查科室1、检验科室2、临床科室3、其他科室4")
	@Column(name = "_type")
	private String type;

	@I18n("科室位置")
	@Column(name = "_address")
	private String address;

	@I18n("所属院区")
	@Column(name = "_hospital_id")
	private Long hospital;

	@I18n("电话号码")
	@Column(name = "_phone")
	private String phone;

	@I18n("开头字母拼音")
	@Column(name = "input_code")
	private String inputCode;

	@I18n("全拼")
	@Column(name = "pinyin")
	private String pinyin;

	public String getInputCode() {
		return inputCode;
	}

	public void setInputCode(String inputCode) {
		this.inputCode = inputCode;
	}

	public String getPinyin() {
		return pinyin;
	}

	public void setPinyin(String pinyin) {
		this.pinyin = pinyin;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getDept() {
		return dept;
	}

	public void setDept(String dept) {
		this.dept = dept;
	}

	public String getPcode() {
		return pcode;
	}

	public void setPcode(String pcode) {
		this.pcode = pcode;
	}

	public Integer getDeleteFlag() {
		return deleteFlag;
	}

	public void setDeleteFlag(Integer deleteFlag) {
		this.deleteFlag = deleteFlag;
	}

	public String getDeptalias() {
		return deptalias;
	}

	public void setDeptalias(String deptalias) {
		this.deptalias = deptalias;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Long getHospital() {
		return hospital;
	}

	public void setHospital(Long hospital) {
		this.hospital = hospital;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	@Override
	public String toString() {
		return "DepartmentEntity{" +
				"id=" + id +
				", dept='" + dept + '\'' +
				", pcode='" + pcode + '\'' +
				", deleteFlag=" + deleteFlag +
				", deptalias='" + deptalias + '\'' +
				", type='" + type + '\'' +
				", address='" + address + '\'' +
				", hospital=" + hospital +
				", phone='" + phone + '\'' +
				'}';
	}
}
