package com.dashitech.businessdata.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by chi on 2020/8/25.
 */

@Entity
@Table(name = "itsm_base_dictionary")
public class DictionaryEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name="id",length = 20)
    private Long id;

    /**
     * 所属模块
     */
    @Column(name="model")
    private String model;

    /**
     * key
     */
    @Column(name="_key")
    private String key;

    /**
     * 显示名称
     */
    @Column(name="_name")
    private String name;

    /**
     * 值
     */
    @Column(name="_value")
    private String value;

    /**
     * 描述
     */
    @Column(name="_desc")
    private String desc;

    /**
     * 排序
     */
    @Column(name="orders")
    private Integer orders;

    /**
     * 是否已删除，1删除，0正常
     */
    @Column(name = "deleted",columnDefinition = "BIT")
    private Boolean deleted = false;

    /**
     * 是不是系统字段
     */
    @Column(name="system",columnDefinition = "BIT")
    private Boolean system = false;

    /**
     * 添加时间
     */
    @Column(name="add_time")
    private Date addTime = new Date();

    /**
     * 修改时间
     */
    @Column(name="up_time")
    private Date upTime;

    /**
     * 修改人
     */
    @Column(name="operator")
    private String operator;

    /**
     * 拼音简写
     */
    @Column(name="input_code")
    private String inputcode;

    /**
     * 扩展字段1
     */
    @Column(name = "extra1")
    private String extra1;

    /**
     * 扩展字段2
     */
    @Column(name = "extra2")
    private String extra2;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Integer getOrders() {
        return orders;
    }

    public void setOrders(Integer orders) {
        this.orders = orders;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Boolean getSystem() {
        return system;
    }

    public void setSystem(Boolean system) {
        this.system = system;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public Date getUpTime() {
        return upTime;
    }

    public void setUpTime(Date upTime) {
        this.upTime = upTime;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getInputcode() {
        return inputcode;
    }

    public void setInputcode(String inputcode) {
        this.inputcode = inputcode;
    }

    public String getExtra1() {
        return extra1;
    }

    public void setExtra1(String extra1) {
        this.extra1 = extra1;
    }

    public String getExtra2() {
        return extra2;
    }

    public void setExtra2(String extra2) {
        this.extra2 = extra2;
    }
}
