package com.dashitech.businessdata.entity;

import com.dashitech.utils.I18n;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Created by chi on 2019/9/10.
 */
@Entity
@Table(name = "itsm_transport_drugs")
public class DrugsEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name="id",length = 20)
    private Integer id;

    @I18n("病人唯一标识")
    @Column(name = "patient_no")
    private String patientNo;

    @I18n("病人信息")
    @Column(name = "patient_info")
    private String patientInfo;

    @I18n("药品具体信息")
    @Column(name = "drugs_info")
    private String drugsInfo;

    @I18n("药品计量")
    @Column(name = "drugs_num")
    private Integer drugsNum;

    @I18n("打包号批次号")
    @Column(name = "bag_id")
    private Long bagId;

    @I18n("床号")
    @Column(name = "bed_num")
    private String bedNum;

    @I18n("院区编码")
    @Column(name = "hos_id")
    private String hosId;

    @I18n("药品类型")
    @Column(name = "drug_type")
    private String drugType;

    public String getDrugType() {
        return drugType;
    }

    public void setDrugType(String drugType) {
        this.drugType = drugType;
    }

    public String getHosId() {
        return hosId;
    }

    public void setHosId(String hosId) {
        this.hosId = hosId;
    }
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPatientNo() {
        return patientNo;
    }

    public void setPatientNo(String patientNo) {
        this.patientNo = patientNo;
    }

    public String getPatientInfo() {
        return patientInfo;
    }

    public void setPatientInfo(String patientInfo) {
        this.patientInfo = patientInfo;
    }

    public String getDrugsInfo() {
        return drugsInfo;
    }

    public void setDrugsInfo(String drugsInfo) {
        this.drugsInfo = drugsInfo;
    }

    public Integer getDrugsNum() {
        return drugsNum;
    }

    public void setDrugsNum(Integer drugsNum) {
        this.drugsNum = drugsNum;
    }

    public Long getBagId() {
        return bagId;
    }

    public void setBagId(Long bagId) {
        this.bagId = bagId;
    }

    public String getBedNum() {
        return bedNum;
    }

    public void setBedNum(String bedNum) {
        this.bedNum = bedNum;
    }

    @Override
    public String toString() {
        return "DrugsEntity{" +
                "id=" + id +
                ", patientNo='" + patientNo + '\'' +
                ", patientInfo='" + patientInfo + '\'' +
                ", drugsInfo='" + drugsInfo + '\'' +
                ", drugsNum=" + drugsNum +
                ", bagId=" + bagId +
                ", bedNum='" + bedNum + '\'' +
                '}';
    }
}
