package com.dashitech.businessdata.entity;

import com.dashitech.utils.I18n;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by chi on 2019/9/12.
 * 送检信息，病人检查
 * execDept、applyDept 主表为id，这里是编码
 */
@Entity
@Table(name = "itsm_transport_inspect")
public class InspectEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name="id",length = 20)
    private Long id;

    @I18n("病人标识")
    @Column(name = "patient_code")
    private String patientCode;

    @I18n("病人姓名")
    @Column(name = "patient_name")
    private String patientName;

    @I18n("腕带条码")
    @Column(name = "patient_bar_code")
    private String barCode;

    @I18n("状态")//待检查  待到达 待送达 检查中 已完成,申请
    @Column(name="inspect_state")
    private Integer inspectState;

    @I18n("自定义检查状态")
    @Column(name = "inspect_check_type")
    private Integer inspectCheckType;

    @I18n("申请检查单标识")
    @Column(name = "inspect_code")
    private String inspectCode;

    @I18n("检查标识类型")
    @Column(name = "inspect_type_code")
    private String inspectTypeCode;

    @I18n("检查类型名称")
    @Column(name = "inspect_type_name")
    private String inspectName;

    @I18n("申请科室,主表为id这里为编码")
    @Column(name="apply_dept")
    private String applyDept;

    @I18n("检查部位名称")
    @Column(name = "inspect_bwname")
    private String bwName;

    @I18n("执行科室,主表为id这里为编码")
    @Column(name="exec_Dept")
    private String execDept;

    @I18n("预约时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "yytime")
    private Date yyTime;

    @I18n("床号")
    @Column(name = "bed_num")
    private String bedNum;

    @I18n("检查时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "inspect_time")
    private Date inspectTime;

    @I18n("检查人")
    @Column(name = "inspector")
    private String inspector;

    @I18n("预约号码")
    @Column(name = "reservation_number")
    private String reservationNumber;

    @I18n("优先级")
    @Column(name = "priority")
    private String priority;

    @I18n("院区id")
    @Column(name = "hos_id")
    private Long hosId;

    public Integer getInspectCheckType() {
        return inspectCheckType;
    }

    public void setInspectCheckType(Integer inspectCheckType) {
        this.inspectCheckType = inspectCheckType;
    }

    public Long getHosId() {
        return hosId;
    }

    public void setHosId(Long hosId) {
        this.hosId = hosId;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getReservationNumber() {
        return reservationNumber;
    }

    public void setReservationNumber(String reservationNumber) {
        this.reservationNumber = reservationNumber;
    }

    public String getInspectName() {
        return inspectName;
    }

    public void setInspectName(String inspectName) {
        this.inspectName = inspectName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPatientCode() {
        return patientCode;
    }

    public void setPatientCode(String patientCode) {
        this.patientCode = patientCode;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public Integer getInspectState() {
        return inspectState;
    }

    public void setInspectState(Integer inspectState) {
        this.inspectState = inspectState;
    }

    public String getInspectCode() {
        return inspectCode;
    }

    public void setInspectCode(String inspectCode) {
        this.inspectCode = inspectCode;
    }

    public String getInspectTypeCode() {
        return inspectTypeCode;
    }

    public void setInspectTypeCode(String inspectTypeCode) {
        this.inspectTypeCode = inspectTypeCode;
    }

    public String getBwName() {
        return bwName;
    }

    public void setBwName(String bwName) {
        this.bwName = bwName;
    }

    public Date getYyTime() {
        return yyTime;
    }

    public void setYyTime(Date yyTime) {
        this.yyTime = yyTime;
    }

    public String getBedNum() {
        return bedNum;
    }

    public void setBedNum(String bedNum) {
        this.bedNum = bedNum;
    }

    public Date getInspectTime() {
        return inspectTime;
    }

    public void setInspectTime(Date inspectTime) {
        this.inspectTime = inspectTime;
    }

    public String getInspector() {
        return inspector;
    }

    public void setInspector(String inspector) {
        this.inspector = inspector;
    }

    public String getApplyDept() {
        return applyDept;
    }

    public void setApplyDept(String applyDept) {
        this.applyDept = applyDept;
    }

    public String getExecDept() {
        return execDept;
    }

    public void setExecDept(String execDept) {
        this.execDept = execDept;
    }

    @Override
    public String toString() {
        return "InspectEntity{" +
                "id=" + id +
                ", patientCode='" + patientCode + '\'' +
                ", patientName='" + patientName + '\'' +
                ", barCode='" + barCode + '\'' +
                ", inspectState=" + inspectState +
                ", inspectCode='" + inspectCode + '\'' +
                ", inspectTypeCode='" + inspectTypeCode + '\'' +
                ", applyDept='" + applyDept + '\'' +
                ", bwName='" + bwName + '\'' +
                ", execDept='" + execDept + '\'' +
                ", yyTime=" + yyTime +
                ", bedNum='" + bedNum + '\'' +
                ", inspectTime=" + inspectTime +
                ", inspector='" + inspector + '\'' +
                '}';
    }
}
