package com.dashitech.businessdata.entity;

import com.dashitech.utils.I18n;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Created by chi on 2019/9/12.
 * 静配详情
 */
@Entity
@Table(name = "itsm_jp_details")
public class JPDetailsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name="id",length = 20)
    private Integer id;

    @I18n("病人唯一标识")
    @Column(name = "patient_no")
    private String patientNo;

    @I18n("病人信息")
    @Column(name = "patient_info")
    private String patientInfo;

    @I18n("药品具体信息")
    @Column(name = "jp_info")
    private String jpInfo;

    @I18n("药品计量")
    @Column(name = "jp_num")
    private Integer jpNum;

    @I18n("关联大包，批次号")
    @Column(name = "bag_id")
    private Long bagId;

    @I18n("床号")
    @Column(name = "bed_num")
    private String bedNum;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPatientNo() {
        return patientNo;
    }

    public void setPatientNo(String patientNo) {
        this.patientNo = patientNo;
    }

    public String getPatientInfo() {
        return patientInfo;
    }

    public void setPatientInfo(String patientInfo) {
        this.patientInfo = patientInfo;
    }

    public String getJpInfo() {
        return jpInfo;
    }

    public void setJpInfo(String jpInfo) {
        this.jpInfo = jpInfo;
    }

    public Integer getJpNum() {
        return jpNum;
    }

    public void setJpNum(Integer jpNum) {
        this.jpNum = jpNum;
    }

    public Long getBagId() {
        return bagId;
    }

    public void setBagId(Long bagId) {
        this.bagId = bagId;
    }

    public String getBedNum() {
        return bedNum;
    }

    public void setBedNum(String bedNum) {
        this.bedNum = bedNum;
    }

    @Override
    public String toString() {
        return "JPDetailsEntity{" +
                "id=" + id +
                ", patientNo='" + patientNo + '\'' +
                ", patientInfo='" + patientInfo + '\'' +
                ", jpInfo='" + jpInfo + '\'' +
                ", jpNum=" + jpNum +
                ", bagId=" + bagId +
                ", bedNum='" + bedNum + '\'' +
                '}';
    }
}
