package com.dashitech.businessdata.entity;

import com.dashitech.utils.I18n;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by xuweihua on 2021/1/12.
 */
@Entity
@Table(name = "itsm_patient_log")
public class PatientLogEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name="id",length = 20)
    private Long id;

    @I18n("类型")
    @Column(name = "type")
    private Long type;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "time" )
    private Date time;

    @I18n("申请科室")
    @Column(name = "sq_dept")
    private Long sqDept;

    @I18n("转入科室")
    @Column(name = "zr_dept")
    private Long zrDept;

    @I18n("病人id")
    @Column(name = "patient_id")
    private Long patientId;

    @I18n("前床号")
    @Column(name = "qbednum")
    private String qbednum;

    @I18n("床号")
    @Column(name = "bednum")
    private String bednum;

    @I18n("院区id")
    @Column(name = "hos_id")
    private Long hosId;

    public Long getHosId() {
        return hosId;
    }

    public void setHosId(Long hosId) {
        this.hosId = hosId;
    }

    public String getQbednum() {
        return qbednum;
    }

    public void setQbednum(String qbednum) {
        this.qbednum = qbednum;
    }

    public String getBednum() {
        return bednum;
    }

    public void setBednum(String bednum) {
        this.bednum = bednum;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Long getSqDept() {
        return sqDept;
    }

    public void setSqDept(Long sqDept) {
        this.sqDept = sqDept;
    }

    public Long getZrDept() {
        return zrDept;
    }

    public void setZrDept(Long zrDept) {
        this.zrDept = zrDept;
    }

    public Long getPatientId() {
        return patientId;
    }

    public void setPatientId(Long patientId) {
        this.patientId = patientId;
    }
}
