package com.dashitech.businessdata.entity;

import com.dashitech.utils.I18n;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by chi on 2019/9/10.
 *标本
 * doctor、putNurse、collectNurse、inspector、patientNo、sickRoom、checkDept，主表为id 这里为编码
 */
@Entity
@Table(name = "itsm_transport_specimen")
public class SpecimenEntity implements Serializable {
    private static final long serialVersionUID = 1L;


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name="id",length = 20)
    private Long id;

    @I18n("标本采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "print_date")
    private Date printDate;

    @I18n("医生申请时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "doctor_apply_time")
    private Date doctorApplyTime;

    @I18n("护士贴标时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "nurse_put_time")
    private Date nursePutTime;


    @I18n("采集护士，主表为id 这里为编码")
    @Column(name="collect_nurse_id")
    private String collectNurse;

    @I18n("检验人员，主表为id 这里为编码")
    @Column(name="inspector")
    private String inspector;

    @I18n("检验时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "inspection_time")
    private Date inspectionTime;

    @I18n("标本状态： 0新标本，1已取标本  2已送达标本")
    @Column(name="spe_state")
    private Integer speState;

    @I18n("标本类型")
    @Column(name="stype")
    private String stype;

    @I18n("标本条码")
    @Column(name = "scode")
    private String scode;

    @I18n("病人唯一标识，主表为id 这里为编码")
    @Column(name = "patient_no")
    private String patientNo;

    @I18n("病人姓名")
    @Column(name = "patientname")
    private String patientName;

    @I18n("住院科室(起点科室)，主表为id 这里为编码")
    @Column(name="sick_room")
    private String sickRoom;

    @I18n("检验科室(目标科室)，主表为id 这里为编码")
    @Column(name="check_dept")
    private String checkDept;

    @I18n("房间号")
    @Column(name = "roomnum")
    private String roomNum;

    @I18n("床号")
    @Column(name = "bednum")
    private String bedNum;

    @I18n("是否紧急，0一般，1加急")
    @Column(name = "urgent")
    private Integer  urgent;

    @I18n("院区编码")
    @Column(name = "hos_id")
    private String hosID;

    @I18n("检验的单号")
    @Column(name = "order_number")
    private String orderNumber;

    @I18n("系统送达时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "sys_arrive_time")
    private Date sysArriveTime;

    public Date getSysArriveTime() {
        return sysArriveTime;
    }

    public void setSysArriveTime(Date sysArriveTime) {
        this.sysArriveTime = sysArriveTime;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getPrintDate() {
        return printDate;
    }

    public void setPrintDate(Date printDate) {
        this.printDate = printDate;
    }

    public Date getDoctorApplyTime() {
        return doctorApplyTime;
    }

    public void setDoctorApplyTime(Date doctorApplyTime) {
        this.doctorApplyTime = doctorApplyTime;
    }

    public Date getNursePutTime() {
        return nursePutTime;
    }

    public void setNursePutTime(Date nursePutTime) {
        this.nursePutTime = nursePutTime;
    }

    public String getCollectNurse() {
        return collectNurse;
    }

    public void setCollectNurse(String collectNurse) {
        this.collectNurse = collectNurse;
    }

    public void setSickRoom(String sickRoom) {
        this.sickRoom = sickRoom;
    }

    public void setCheckDept(String checkDept) {
        this.checkDept = checkDept;
    }

    public String getInspector() {
        return inspector;
    }

    public void setInspector(String inspector) {
        this.inspector = inspector;
    }

    public Date getInspectionTime() {
        return inspectionTime;
    }

    public void setInspectionTime(Date inspectionTime) {
        this.inspectionTime = inspectionTime;
    }

    public Integer getSpeState() {
        return speState;
    }

    public void setSpeState(Integer speState) {
        this.speState = speState;
    }

    public String getStype() {
        return stype;
    }

    public void setStype(String stype) {
        this.stype = stype;
    }

    public String getScode() {
        return scode;
    }

    public void setScode(String scode) {
        this.scode = scode;
    }

    public String getPatientNo() {
        return patientNo;
    }

    public void setPatientNo(String patientNo) {
        this.patientNo = patientNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getRoomNum() {
        return roomNum;
    }

    public void setRoomNum(String roomNum) {
        this.roomNum = roomNum;
    }

    public String getBedNum() {
        return bedNum;
    }

    public void setBedNum(String bedNum) {
        this.bedNum = bedNum;
    }

    public Integer getUrgent() {
        return urgent;
    }

    public void setUrgent(Integer urgent) {
        this.urgent = urgent;
    }

    public String getSickRoom() {
        return sickRoom;
    }

    public String getCheckDept() {
        return checkDept;
    }

    public String getHosID() {
        return hosID;
    }

    public void setHosID(String hosID) {
        this.hosID = hosID;
    }

    @Override
    public String toString() {
        return "SpecimenEntity{" +
                "id=" + id +
                ", printDate=" + printDate +
                ", doctorApplyTime=" + doctorApplyTime +
                ", nursePutTime=" + nursePutTime +
                ", collectNurse='" + collectNurse + '\'' +
                ", inspector='" + inspector + '\'' +
                ", inspectionTime=" + inspectionTime +
                ", speState=" + speState +
                ", stype='" + stype + '\'' +
                ", scode='" + scode + '\'' +
                ", patientNo='" + patientNo + '\'' +
                ", patientName='" + patientName + '\'' +
                ", sickRoom='" + sickRoom + '\'' +
                ", checkDept='" + checkDept + '\'' +
                ", roomNum='" + roomNum + '\'' +
                ", bedNum='" + bedNum + '\'' +
                ", urgent=" + urgent +
                ", hosID='" + hosID + '\'' +
                '}';
    }
}
